- NAME
- SYNOPSIS
- DESCRIPTION
- OPTIONS
- COPYRIGHT

# NAME

openssl-list, list - list algorithms and features

# SYNOPSIS

openssl list [-help] [-1] [-commands] [-digest-commands] [-digest-algorithms] [-cipher-commands] [-cipher-algorithms] [-public-key-algorithms] [-public-key-methods] [-disabled]

# DESCRIPTION

This command is used to generate list of algorithms or disabled features.

# OPTIONS

-help

  Display a usage message.

-1

  List the commands, digest-commands, or cipher-commands in a single column. If used, this option must be given first.

-commands

  Display a list of standard commands.

-digest-commands

  Display a list of message digest commands, which are typically used as input to the dgst(1) or speed(1) commands.

-digest-algorithms

  Display a list of message digest algorithms. If a line is of the form foo => bar then foo is an alias for the official algorithm name, bar.

-cipher-commands

  Display a list of cipher commands, which are typically used as input to the dgst(1) or speed(1) commands.

-cipher-algorithms

  Display a list of cipher algorithms. If a line is of the form foo => bar then foo is an alias for the official algorithm name, bar.

-public-key-algorithms

  Display a list of public key algorithms, with each algorithm as a block of multiple lines, all but the first are indented.

-public-key-methods

  Display a list of public key method OIDs: this also includes public key methods without an associated ASN.1 method, for example, KDF algorithms.

-disabled

  Display a list of disabled features, those that were compiled out of the installation.

# COPYRIGHT

Copyright 2016-2017 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.